#row-3-col-1 .box {
    position: absolute;
    top: 30px;
    left: 100px;
    /*   border: 1px solid #f66; */
    transform-origin: 0 60px;
    animation-name: r3c1-load;
    animation-duration: 4s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
#row-3-col-1 .box span {
    display: block;
    /*   border-left: 2px solid red;
      border-right: 2px solid blue; */
    font-size: 8px;
    opacity: 0.5;
    color: green;
    font-weight: bold;
    transform-origin: 50% 50%;
    animation-name: r3c1-spin;
    animation-duration: 4s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes r3c1-load {
    50% {
        transform: rotate(180deg)
    }
    100% {
        transform: rotate(360deg)
    }
}
@keyframes r3c1-spin {
    50% {
        transform: rotate(-180deg);
        color: green;
        font-size: 28px;
        opacity: 1;
    }
    100% {
        transform: rotate(-360deg);
        font-size: 8px;
        opacity: 0.5;
    }
}

#row-3-col-1 .box:nth-child(1) {
    animation-delay: -1.2s;
}
#row-3-col-1 .box:nth-child(1) span {
    animation-delay: -1.2s;
}

#row-3-col-1 .box:nth-child(2) {
    animation-delay: -.8s;
}
.box:nth-child(2) span {
    animation-delay: -.8s;
}

#row-3-col-1 .box:nth-child(3) {
    animation-delay: -.4s;
}
#row-3-col-1 .box:nth-child(3) span {
    animation-delay: -.4s;
}

#row-3-col-1 .box:nth-child(4) {
    animation-delay: 0s;
}
#row-3-col-1 .box:nth-child(4) span {
    animation-delay: 0s;
}

#row-3-col-1 .box:nth-child(5) {
    animation-delay: .4s;
}
#row-3-col-1 .box:nth-child(5) span {
    animation-delay: .4s;
}

#row-3-col-1 .box:nth-child(6) {
    animation-delay: .8s;
}
#row-3-col-1 .box:nth-child(6) span {
    animation-delay: .8s;
}

#row-3-col-1 .box:nth-child(7) {
    animation-delay: 1.2s;
}
.box:nth-child(7) span {
    animation-delay: 1.2s;
}

#row-3-col-1 .box:nth-child(8) {
    animation-delay: 1.6s;
}
#row-3-col-1 .box:nth-child(8) span {
    animation-delay: 1.6s;
}

#row-3-col-2 .bar {
    position: absolute;
    height: 6px;
    background-color: white;
    width: 100px;
    left: 50px;
    animation-duration: 3s;
    animation-iteration-count: infinite;
}
#row-3-col-2 .upper {
    top: 60px;
    animation-name: r3c2-ex1;
}
#row-3-col-2 .middle {
    top: 100px;
    animation-name: r3c2-ex2;
}
#row-3-col-2 .lower {
    top: 140px;
    animation-name: r3c2-ex3;
}

@keyframes r3c2-ex1 {
    0% {
        transform-origin: 0 0;
        transform: scaleX(0.1);
    }
    25% {
        transform-origin: 0 0;
        transform: scaleX(1);
    }
    75% {
        transform-origin: 100% 100%;
        transform: scaleX(1);
    }
    100% {
        transform-origin: 100% 100%;
        transform: scaleX(.1);
    }
}

@keyframes r3c2-ex2 {
    0% {
        transform-origin: 0 0;
        transform: scaleX(0.1);
    }
    37.5% {
        transform-origin: 0 0;
        transform: scaleX(1);
    }
    62.5% {
        transform-origin: 100% 100%;
        transform: scaleX(1);
    }
    100% {
        transform-origin: 100% 100%;
        transform: scaleX(.1);
    }
}

@keyframes r3c2-ex3 {
    0% {
        transform-origin: 0 0;
        transform: scaleX(0.1);
    }
    49% {
        transform-origin: 0 0;
        transform: scaleX(1);
    }
    51% {
        transform-origin: 100% 100%;
        transform: scaleX(1);
    }
    100% {
        transform-origin: 100% 100%;
        transform: scaleX(.1);
    }
}

#row-3-col-3 .circle {
    border-radius: 50%;
    position: absolute;
    border-color: white;
    border-width: 1px;
    border-style: solid;
    overflow: hidden;
}
#row-3-col-3 .outer {
    top: 50px;
    left: 50px;
    width: 100px;
    height: 100px;
    transition: transform 2s;
}
#row-3-col-3 .inner {
    top: 30px;
    left: 30px;
    width: 40px;
    height: 40px;
}
#row-3-col-3 .triangle {
    width: 0;
    height: 0;
    border-bottom: 80px solid #f66;
    border-right: 80px solid transparent;
    /*   border-left: 50px solid green; */
    position: absolute;
    top: -49px;
    left: -19px;
}
#row-3-col-3 .triangle:nth-child(2) {
    border-bottom: 80px solid dodgerblue;
    transform-origin: 70px 100px;
    transform: rotate(45deg);
}
#row-3-col-3 .triangle:nth-child(3) {
    border-bottom: 80px solid hotpink;
    transform-origin: 70px 100px;
    transform: rotate(90deg);
}
#row-3-col-3 .triangle:nth-child(4) {
    border-bottom: 80px solid #008080;
    transform-origin: 70px 100px;
    transform: rotate(135deg);
}
#row-3-col-3 .triangle:nth-child(5) {
    border-bottom: 80px solid #00ff00;
    transform-origin: 70px 100px;
    transform: rotate(180deg);
}
#row-3-col-3 .triangle:nth-child(6) {
    border-bottom: 80px solid #ff00ff;
    transform-origin: 70px 100px;
    transform: rotate(225deg);
}
#row-3-col-3 .triangle:nth-child(7) {
    border-bottom: 80px solid #00ff7f;
    transform-origin: 70px 100px;
    transform: rotate(270deg);
}
#row-3-col-3 .triangle:nth-child(8) {
    border-bottom: 80px solid #8a2be2;
    transform-origin: 70px 100px;
    transform: rotate(-45deg);
}
#row-3-col-3 .outer:hover {
    transform: rotate(720deg);
}

#row-3-col-4 .bar, #row-3-col-4 .semi-bar {
    position: absolute;
    border-radius: 5px;
}
#row-3-col-4 .bar {
    width: 120px;
    height: 10px;
    top: 70px;
    left: 40px;
    transform-origin: 50% 30px;
}
#row-3-col-4 .top {
    background-color: #f66;
}
#row-3-col-4 .right {
    background-color: dodgerblue;
    transform: rotate(90deg);
}
#row-3-col-4 .bottom {
    background-color: purple;
    transform: rotate(180deg);
}
.semi-bar {
    width: 60px;
    height: 10px;
    top: 70px;
}
#row-3-col-4 .lower {
    left: 40px;
    border-radius: 5px 0 0 5px;
    background-color: green;
    transform-origin: right 30px;
    transform: rotate(270deg);
}
#row-3-col-4 .upper {
    left: 100px;
    border-radius: 0 5px 5px 0;
    background-color: green;
    transform-origin: left 30px;
    transform: rotate(270deg);
}
#row-3-col-4 .wrapper {
    width: 100%;
    height: 100%;
    transition: all 6s;
    transform: rotate(-30deg) scale(.8);
}
#row-3-col-4 .wrapper:hover {
    transform: rotate(3turn) scale(.8);
}

#row-3-col-5 .wrapper {
    width: 100%;
    height: 100%;
    transition: all 6s;
    transform: rotate(-30deg) scale(.8);
}
#row-3-col-5 .wrapper:hover {
    transform: rotate(3turn) scale(.8);
}
#row-3-col-5 .unit {
    position: absolute;
    width: 120px;
    height: 30px;
    /*   border: 1px solid #f66; */
    left: 40px;
    top: 40px;
    transform-origin: 60px 60px;
    overflow: hidden;
}
#row-3-col-5 .u2 {
    transform: rotate(90deg);
}
#row-3-col-5 .u3 {
    transform: rotate(180deg);
}
#row-3-col-5 .u4 {
    transform: rotate(270deg);
}
#row-3-col-5 .circle {
    width: 120px;
    height: 120px;
    position: absolute;
    border-radius: 50%;
    opacity: .8;
}
#row-3-col-5 .u1 .circle {
    background-color: dodgerblue;
}
#row-3-col-5 .u2 .circle {
    background-color: hotpink;
}
#row-3-col-5 .u3 .circle {
    background-color: orange;
}
#row-3-col-5 .u4 .circle {
    background-color: green;
}
#row-3-col-5 .semi-unit {
    width: 60px;
    height: 30px;
    overflow: hidden;
    position: absolute;
    transform: rotate(270deg);
}
#row-3-col-5 .semi-unit .circle {
    background-color: #6dc066;
}
#row-3-col-5 .lower {
    top: 40px;
    left: 40px;
    transform-origin: right 60px;
}
#row-3-col-5 .upper {
    top: 40px;
    left: 100px;
    transform-origin: left 60px;
}
#row-3-col-5 .upper .circle {
    position: absolute;
    left: -60px;
}
#row-3-col-5 span {
    color: #000;
    font-size: 54px;
    font-weight: bold;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(30deg);
    display: block;
}